<!DOCTYPE html>
<html lang="en">
    <head>
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <title>Mango QUIZ</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <link rel="stylesheet" href="css/modal.css">
        <link rel="manifest" href="manifest.json">
        <link rel="apple-touch-icon" sizes="180x180" href="icons/icon-180x180.png">
        <title></title>
        
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>

        <script>
            // Your web app's Firebase configuration
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            // Initialize Firebase
            firebase.initializeApp(firebaseConfig);
        </script>

        <style>
            #btn {
                margin-top: 25.25px;
                height: 37px;
                width: 175px;
                border-radius: 10px;
                background: linear-gradient(104.28deg, #FF8132 0%, #FF6738 100%);
                font-family: Montserrat;
                font-size: 20px;
                line-height: 24px;
                outline: none !important;
            }

            #tmp5 {
                display: flex;
                justify-content: center;
            }
            #nav-text {
                position: absolute;
                height: 30px;
                width: 20vw;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 40vw;
                margin-top:40px;
            }
            #correct_movie_name {
                text-align: center;
            }
            #tmp3 {
                display: flex;
                align-items: center;
                flex-direction: column;
            }
            #price {
                height: 18px;
                width: 74px;
                color: #000;
                font-family: "SF Pro Display";
                font-size: 15px;
                letter-spacing: 0.68px;
                line-height: 18px;
            }
            #correct_movie_name {
                height: 21px;
                width: 123px;
                color: #000;
                font-family: "SF Pro Display";
                font-size: 18px;
                font-weight: 700;
                letter-spacing: 0.82px;
                line-height: 21px;
            }
            #tmp2 {
                margin-top: 32px;
                display: flex;
                justify-content: center;
            }
            
            /* #input {
                box-sizing: border-box;
                height: 39px;
                width: 257px;
                border-radius: 10px;
                border: 3px solid #C8C8C8;
                font-size: 20px;
                outline: none !important;
            } */
            body{
                height: 100vh;
                width: 100vw;
                margin: 0;
            }
            #tmp {
                display: flex;
                justify-content: center;
            }
            #nav-bar {
                height: 104px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
            }
            .fa-close {
                font-size: 25px;
                margin-top: 13.1px;
                margin-left: 12px;
            }
            #icon-back {
                height: 69px;
                width: 85px;
                background-color: #FFF;
                display: flex;
                align-items: center;
                justify-content: center;
            }
            #mongol-kino {
                height: 21px;
                width: 200px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 21px;
                font-weight: 700;
                letter-spacing: 1.38px;
                line-height: 21px;
                text-align: center;
                margin-top: 21px;
            }
            #img {
                margin-top: 13px;
                /* padding-top: 1px; */
                /* margin-left: 64px; */
                height: 306px;
                width: 203.25px;
                border-radius: 20px;
                background-color: #C8C8C8;
                background-repeat: no-repeat;
                background-size: cover;
                position: relative;
            }
            .letter {
                height: 25px;
                width: calc((81.3vw - 72px) / 9);
                border-radius: 5px;
                border-color: #F3CA3E;
                background-color: #FFF;
                outline: none !important;
                margin-left: 2px;
                margin-right: 2px;
            }
            .word{
                display: flex;
                justify-content: space-between;
                margin-right: 10px;
                margin-left: 10px;
                margin-bottom: 5px;
                
            }
            #input{
                width: 100vw;
                height: 112px;
                border-top-left-radius: 20px;
                border-top-right-radius: 20px;
                background-color: #FF8132;
                display: flex;
                justify-content: center;
                align-items: center;
                margin-top: 14px;
            }
            #filling-letters{
                margin-top: 12px;
                margin-bottom: 12px;
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }
            #input-rectangle{
                width: 100vw;
                display: flex;
                justify-content: center;
            }
            #letters{
                display: flex;
                margin-left: 15px;
                margin-right: 15px;
                width: 81.3vw;
                height: 95px;
                flex-direction: column;
                justify-content: space-around;
            }
            #bottom-letter-container{
                width: 81.3vw;
                display: flex;
                justify-content: space-between;
                flex-wrap: wrap;
            }
            #bottom-rec{
                display: flex;
                width: 100%;
                justify-content: center;
                align-items: center;
                bottom: 13px;
                position: fixed;
            }
            .bottom-letter {
                height: 25px;
                width: calc((81.3vw - 72px) / 9);
                margin: 4px;
                border-radius: 5px;
                background-color: #FFF;
                border: 1px solid #FF6538;
            }
            #text-bar{
                display: flex;
                width: 100%;
                justify-content: center;
                flex-wrap: wrap;
            }
            #text{
                /* height: 50px; */
                width: 200;
                color: #000;
                font-family: Montserrat;
                font-size: 23px;
                font-weight: 700;
                letter-spacing: 1px;
                line-height: 28px;
                text-align: center;
                margin-top: 26.25px;
            }
            #onoo_text {
                /* height: 50px; */
                width: 162px;
                color: #000;
                font-family: Montserrat;
                font-size: 18px;
                letter-spacing: 1px;
                line-height: 28px;
                text-align: center;
                margin-top: 26.25px;
                margin: 0;
            }
            .hidden {
                opacity: 0;
            }
            #taasan {
                display: flex;
                align-items: center;
                flex-direction: column;
            }
            #icon_hint {
                height: 28.95px;
                width: 30px;
                /* background-color: #000; */
                transform: rotate(180deg);
                background-image: url(hint.png);
                background-repeat: no-repeat;
                background-size: cover;
            }
            #hint_hint {
                /* padding-left: 317px;
                margin-top: 39.1px; */
                display: flex;
                flex-direction: row-reverse;
                justify-content: space-between;
                padding: 28px;
            }
            #hint-number {
                height: 25px;
                width: 25px;
                background-color: #FFF;
                border-radius: 50%;
                position: absolute;
                z-index: 1;
                top: -11px;
                right: -11px;
                display: flex;
                justify-content: center;
                align-items: center;
            }
            #tmp-5 {
                position: relative;
                margin-top: 10px;
            }
            #hint-number-title {
                color: #000;
                font-family: Montserrat;
                font-size: 15px;
                font-weight: 700;
                line-height: 18px;
                text-align: center;
            }
            #useg-hint {
                height: 42px;
                width: 50px;
                background-color: #FF6638;
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;
                margin-bottom: 5px;
                font-family: Montserrat;
                display: flex;
                justify-content: flex-end;
                align-items: center;
            }
            #ALL_useg-hint {
                height: 42px;
                width: 50px;
                background-color: #FF6638;
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;
                display: flex;
                justify-content: flex-end;
                align-items: center;
            }
            #hints {
                height: 50px;
                width: 84px;
                position: absolute;
                top: 20px;
                right: -84px;
            }
            #hint-useg-title {
                margin: 0;
                margin-right: 12px;
            }
            #ALL-hint-img {
                background-image: url(skip.png); 
                background-repeat: no-repeat;
                background-size: cover;
                height: 40px;
                width: 40px;
                margin-right: 5px;
            }

            .letter-hint{
                background-image: url("hint.png");
                background-size: auto;
                background-repeat: no-repeat;
                background-size: cover;
                background-color: #F3CA3E;
                transform: rotate(180deg);
            }

            /* loading animation css */
            .loading {
                margin: center;
                margin-top: 50%;
                max-width: 50%;
                line-height: 1.4;
                font-size: 1.2rem;
                font-weight: bold;
                text-align: center; 
            }
            .loading__author {
                font-weight: normal;
                font-size: 0.9rem;
                color: rgba(189,189,189 ,1);
                margin: 0.6rem 0 2rem 0;
                display: block;
            }
            .loading__anim {
                width: 35px;
                height: 35px;
                display: inline-block;
                border: 5px solid rgba(189,189,189 ,0.25);
                border-left-color: #FF6239;
                border-top-color:#FF6239;
                border-radius: 50%;
                animation: spin 600ms infinite linear;
            }
            @keyframes spin {
                to {
                    transform: rotate(360deg)
                }

            }

        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">1 / 20</div>
            <div id="hint_hint">
                <div id="tmp-5" onclick="hint_awah()">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <i onclick="X_icon()" class="fa fa-close" aria-hidden="true"></i>
            </div>
        </div>
        <div id="tmp">
            <div id="img">
                <div id="hints">
                    <div id="useg-hint" onclick="useg_hint()">
                        <h1 id="hint-useg-title" >A</h1>
                    </div>
                    <div id="ALL_useg-hint" onclick="ALL_useg()" >
                        <div id="ALL-hint-img"></div>
                    </div>
                </div>
            </div>
            <div id="reset-modal" class="modal">
                <div class="modal-content">
                    <h1 id='bord_text'></h1>
                    <p id="text_2"></p>
                    <div style="display: flex; flex-direction: row" >
                        <div id="action_2">
                            <button id='no_btn' onclick="no()" >
                                <p id='y_t' >Болих</p>
                            </button>
                        </div>
                        <div id="action_1">
                            <button id='yes_btn' onclick="yes()">
                                <p id = 'n_t'>Тийм</p>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="taagaagui">
            <div id="input-rectangle">
                <div id="input">
                    <div id="filling-letters"></div>
                </div>
            </div>
            <div id="bottom-rec">    
                <div id="letters">
                    <div id="bottom-letter-container"></div>
                </div>
            </div>
        </div>
        <!-- <section class="loading" id='loader'>
                Уншиж байна.
                <span class="loading__author"> - Түр хүлээнэ үү...</span>
                <span class="loading__anim"></span>
            </section> -->
        <div id="taasan" style="visibility: hidden">
            <div id="text">
                    <!-- Байтаг Богд Оноо 100 -->
            </div>
            <div id="onoo_text">
                <!-- onoo +100 -->
            </div>
            <div id="tmp5">
                <button id="btn">Дараагийнх нь</button>
            </div>
        </div>

        <script>
            const alphabet_english = ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'I','O', 'P', 'A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L', 'Z', 'X', 'C', 'V', 'B', 'N', 'M', ';', ':', '1', '2', '3','4','5','6','7','8','9','0']
            const alphabet_mongol = ['А','Б','В','Г','Д','Е','Ё','Ж','З','И','Й','К','Л','М','Н','О','Ө','П','Р','С','Т','У','Ү','Ф','Х','Ц','Ч','Ш','Щ','Ъ','Ы','Ь','Э','Ю','Я','0','1','2','3','4','5','6','7','8','9'];
            var DB = firebase.database(), hints_shirheg;
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
                hints_shirheg = snapshot.val();
            });

            // initialize()

            var id;
            var alphabet;
            var storage = firebase.storage();
            var darsan_id, darsan_id_val;
            var correctAnswer, correctAnswer_val;           
            var Answer;
            var bottomLetterPos = [];
            var id_val, score, turul_DB, turul_ST, id_tmp;
            var bottomLetterContainerEl = document.getElementById('bottom-letter-container'), ali_catalogy_songoson, ali_turul_songoson;

            // ali catalogy songonson

            DB.ref(`/Users/${localStorage.getItem('username')}/ali_catalogy_songoson`).once('value', snapshot => {
                ali_catalogy_songoson = snapshot.val();
                console.log('orloo2 ', ali_catalogy_songoson);
            }).then(() => {
                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/ali_turul_songoson`).once('value', snapshot => {
                    ali_turul_songoson = snapshot.val();
                }).then(() => {
                    darsan_id = DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/suuld_songoson`);
                    console.log('orloo ', ali_turul_songoson);
                    if(ali_turul_songoson == 'mon_mv') {
                            turul_DB = 'Mon_mv';
                            turul_ST = 'mon_mv';
                            // initialize
                            darsan_id.once('value', snapshot => {
                                darsan_id_val = snapshot.val();
                                if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                    document.getElementById('btn').onclick = daraah;
                                } else {
                                    document.getElementById('tmp5').style.display = 'none';
                                }
                            }).then(() => {
                                // var letters= [];
                                score = 100;                   
                                id = darsan_id_val.split('_'); 
                                id_val = id[1];
                                id_tmp = Number(id_val);
                                var correctAnswer = DB.ref(`/Movies/Mon_mv/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    
                                    
                                    // noneed
                                    
                                    adjust(correctAnswer_val);
                                    
                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                        console.log(`snapshot:${snapshot.val()}`);
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13; 
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById("nav-text").innerHTML = `${id_val} / 20`;
                                        document.getElementById('hints').hidden = true;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/mon_mv/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        })
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_val} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/mon_mv/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                })
                            });
                        });
                    }

                    if(ali_turul_songoson == 'mon_mv_2') {
                        turul_DB = 'Mon_mv';
                        turul_ST = 'mon_mv';
                        // initialize
                        darsan_id.once('value', snapshot => {
                            darsan_id_val = snapshot.val();
                            if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                document.getElementById('btn').onclick = daraah;
                            } else {
                                document.getElementById('tmp5').style.display = 'none';
                            }
                        }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_val = Number(id_val) + 20;
                                id_tmp = Number(id_val) - 20;
                                var correctAnswer = DB.ref(`/Movies/Mon_mv/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();

                                    //no need

                                    adjust(correctAnswer_val);
                                    
                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        console.log(id_val);
                                        storageRef.child(`Movies/${turul_ST}/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage =  `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        });
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        console.log('LOADING..');
                                        storageRef.child(`Movies/mon_mv/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                });
                            });
                        });
                    }

                    if(ali_turul_songoson == 'gadaad_mv') {
                        turul_DB = 'Gadaad_mv';
                        turul_ST = 'gadaad_mv';
                            // initialize
                            darsan_id.once('value', snapshot => {
                                darsan_id_val = snapshot.val();
                                if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                    document.getElementById('btn').onclick = daraah;
                                } else {
                                    document.getElementById('tmp5').style.display = 'none';
                                }
                            }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1]; 
                                id_tmp = Number(id_val);
                                var correctAnswer = DB.ref(`/Movies/Gadaad_mv/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    // noneed
                                    
                                    
                                    adjust(correctAnswer_val);
                                    

                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                        console.log(`snapshot:${snapshot.val()}`);
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/gadaad_mv/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        })
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/gadaad_mv/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                })
                            });
                        });
                    }

                    if(ali_turul_songoson == 'gadaad_mv_2') {
                        turul_DB = 'Gadaad_mv';
                        turul_ST = 'gadaad_mv';
                        // initialize
                        darsan_id.once('value', snapshot => {
                            darsan_id_val = snapshot.val();
                            if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                document.getElementById('btn').onclick = daraah;
                            } else {
                                document.getElementById('tmp5').style.display = 'none';
                            }
                        }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_val = Number(id_val) + 20;
                                id_tmp = Number(id_val) - 20;
                                var correctAnswer = DB.ref(`/Movies/Gadaad_mv/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;

                                    
                                    adjust(correctAnswer_val);

                                    
                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/gadaad_mv/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        });
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        console.log('LOADING..');
                                        storageRef.child(`Movies/gadaad_mv/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                });
                            });
                        });
                    }

                    if(ali_turul_songoson == 'animation') {
                        turul_DB = 'animation';
                        turul_ST = 'animation';
                            // initialize
                            darsan_id.once('value', snapshot => {
                                darsan_id_val = snapshot.val();
                                if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                    document.getElementById('btn').onclick = daraah;
                                } else {
                                    document.getElementById('tmp5').style.display = 'none';
                                }
                            }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_tmp = Number(id_val);
                                var correctAnswer = DB.ref(`/Movies/animation/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;
                                    

                                    adjust(correctAnswer_val);


                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                        console.log(`snapshot:${snapshot.val()}`);
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/animation/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        })
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/animation/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                })
                            });
                        });
                    }

                    if(ali_turul_songoson == 'anime') {
                        turul_DB = 'animes';
                        turul_ST = 'anime';
                            // initialize
                            darsan_id.once('value', snapshot => {
                                darsan_id_val = snapshot.val();
                                if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                    document.getElementById('btn').onclick = daraah;
                                } else {
                                    document.getElementById('tmp5').style.display = 'none';
                                }
                            }).then(() => {
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_tmp = Number(id_val);
                                var correctAnswer = DB.ref(`/Movies/animes/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val(); 
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;
                                    //no need
                                    

                                    adjust(correctAnswer_val);


                                    
                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                        console.log(`snapshot:${snapshot.val()}`);
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/anime/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        })
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/anime/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                })
                            });
                        });
                    }

                    if(ali_turul_songoson == 'anime_2') {
                        turul_DB = 'animes';
                        turul_ST = 'anime';
                        // initialize
                        darsan_id.once('value', snapshot => {
                            darsan_id_val = snapshot.val();
                            if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                document.getElementById('btn').onclick = daraah;
                            } else {
                                document.getElementById('tmp5').style.display = 'none';
                            }
                        }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_val = Number(id_val) + 20;
                                id_tmp = Number(id_val) - 20;
                                var correctAnswer = DB.ref(`/Movies/animes/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;
                                    //noneed
                                    
                                    
                                    adjust(correctAnswer_val);


                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/anime/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        });
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        console.log('LOADING..');
                                        storageRef.child(`Movies/anime/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                });
                            });
                        });
                    }

                    if(ali_turul_songoson == 'character') {
                        turul_DB = 'anime_character';
                        turul_ST = 'character';
                            // initialize
                            darsan_id.once('value', snapshot => {
                                darsan_id_val = snapshot.val();
                                if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                    document.getElementById('btn').onclick = daraah;
                                } else {
                                    document.getElementById('tmp5').style.display = 'none';
                                }
                            }).then(() => {
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_tmp = Number(id_val);
                                var correctAnswer = DB.ref(`/Movies/anime_character/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val(); 
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;
                                    //no need
                                    

                                    adjust(correctAnswer_val);


                                    
                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                        console.log(`snapshot:${snapshot.val()}`);
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/character/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        })
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/character/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                })
                            });
                        });
                    }

                    if(ali_turul_songoson == 'character_2') {
                        turul_DB = 'anime_character';
                        turul_ST = 'character';
                        // initialize
                        darsan_id.once('value', snapshot => {
                            darsan_id_val = snapshot.val();
                            if( darsan_id_val != "quiz_20" && darsan_id_val != "quiz_40" ) {
                                document.getElementById('btn').onclick = daraah;
                            } else {
                                document.getElementById('tmp5').style.display = 'none';
                            }
                        }).then(() => {
                                var letters= [];
                                score = 100;
                                id = darsan_id_val.split('_');
                                id_val = id[1];
                                id_val = Number(id_val) + 20;
                                id_tmp = Number(id_val) - 20;
                                var correctAnswer = DB.ref(`/Movies/anime_character/movie_names/${id_val}`);
                                correctAnswer.once('value', snapshot => {
                                    correctAnswer_val = snapshot.val();
                                    zuv_hariult = snapshot.val();
                                    // var length = correctAnswer_val.length;
                                    //noneed
                                    
                                    
                                    adjust(correctAnswer_val);


                                }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                                    if(snapshot.val() === '1') {
                                        document.getElementById("img").style.width = 234.13;
                                        document.getElementById("img").style.height = 352;
                                        document.getElementById("img").style.marginTop = 33;
                                        document.getElementById('text').innerHTML =  zuv_hariult;
                                        document.getElementById('taagaagui').style.display = "none";
                                        document.getElementById('taasan').style.visibility = "visible";
                                        document.getElementById('hints').hidden = true;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        storageRef.child(`Movies/character/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                                            console.log(id_val);
                                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                                        });
                                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                                        // document.getElementById("price").innerHTML = `onoo +100`;
                                    } else {
                                        document.getElementById('hints').hidden = false;
                                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                                        let storageRef = storage.ref( '/' );
                                        console.log('LOADING..');
                                        storageRef.child(`Movies/character/${id_val}.jpg`).getDownloadURL().then(function(url) {
                                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                                        }).catch(function(error) {
                                            // Handle any errors
                                        });
                                    }
                                });
                            });
                        });
                    }

                });
            });

        // gameplay
        function daraah() {
                var list = document.getElementById("bottom-letter-container");
                var listOfWord = document.getElementById('filling-letters');
                listOfWord.innerHTML = "";
                score = 100;
                list.innerHTML = "";
                document.getElementById('img').style.width = 203.25;
                document.getElementById('img').style.height = 306;
                document.getElementById('img').style.marginTop = 13;
                document.getElementById('taagaagui').removeAttribute('style');
                document.getElementById('taasan').style = 'visibility: hidden';
                id_val++;
                id_tmp++;
                if( id_tmp != 20) {
                    document.getElementById('btn').onclick = daraah;
                } else {
                    document.getElementById('tmp5').style.display = 'none';
                }
                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/suuld_songoson`).set(`quiz_${id_val}`);
                console.log(`/Movies/${turul_DB}/movie_names/${id_val}`);
                var correctAnswer = DB.ref(`/Movies/${turul_DB}/movie_names/${id_val}`);
                correctAnswer.once('value', snapshot => {
                    correctAnswer_val = snapshot.val();
                    zuv_hariult = snapshot.val();
                    console.log(correctAnswer_val);
                    // var length = correctAnswer_val.length;
                    
                    
                    adjust(correctAnswer_val);


                }).then(() => {
                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).once('value', snapshot => {
                    // alert(snapshot.val());
                    if(snapshot.val() === '1') {
                        // document.getElementById("input").style.backgroundColor = "lightgreen";
                        document.getElementById("img").style.width = 234.13;
                        document.getElementById("img").style.height = 352;
                        document.getElementById("img").style.marginTop = 33;
                        document.getElementById('hints').hidden = true;
                        let storageRef = storage.ref( '/' );
                        storageRef.child(`Movies/${turul_ST}/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                        }).catch(function(error) {
                            // Handle any errors
                        });
                        document.getElementById('text').innerHTML =  zuv_hariult;
                        document.getElementById('taagaagui').style.display = "none";
                        document.getElementById('taasan').style.visibility = "visible";
                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).once('value', snapshot => {
                            document.getElementById('onoo_text').innerHTML = `Оноо +${snapshot.val()}`;
                        })
                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                        // document.getElementById("price").innerHTML = `onoo +100`;
                    } else {
                        document.getElementById('hints').hidden = false;
                        document.getElementById('img').style.width = 203.25;
                        document.getElementById('img').style.height = 306;
                        document.getElementById("nav-text").innerHTML = `${id_tmp} / 20`;
                        let storageRef = storage.ref( '/' );
                        console.log('LOADING...');
                        storageRef.child(`Movies/${turul_ST}/${id_val}.jpg`).getDownloadURL().then(function(url) {
                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                        }).catch(function(error) {
                            // Handle any errors
                        });
                    }
                })
            });
        }
        function adjust (name) {
            var letters = [];
            if(alphabet_check(name) == 0) {
                alphabet = alphabet_mongol;
            } else {
                alphabet = alphabet_english;
            }
            var words = name.split(' ');
            var temp = "";
            for(let i = 0; i<words.length; i++) {
                temp+= words[i]; 
            } 
            name = temp;
            correctAnswer_val = temp;
            for(let i = 0; i < words.length; i++){
                var word = document.createElement('div');
                for(let j = 0; j < words[i].length; j++) {
                    let letter = document.createElement('button');
                    letter.classList.add('letter');
                    letter.onclick = replace;
                    word.appendChild(letter);
                    letters.push(words[i][j].toUpperCase());
                }
                word.classList.add('word');
                word.style.width = (30 * words[i].length - 5) ;
                document.getElementById('filling-letters').appendChild(word);
            }
            var size = letters.length;     
            for(var i = 0; i < (27 - size); i++) {
                let j = Math.floor(Math.random() * alphabet.length);
                letters.push(alphabet[j]);
            }
            letters = shuffle(letters);
            for(i = 0; i < 27; i++) {
                let bottomLetter = document.createElement('button');
                bottomLetter.setAttribute("data", i);
                bottomLetter.classList.add('bottom-letter');
                bottomLetter.onclick = place;
                bottomLetter.innerText = letters[i];

                bottomLetterContainerEl.appendChild(bottomLetter);

                // bottomLetterPos.push( {top : bottomLetter.offsetTop, left : bottomLetter.offsetLeft} );
            }
        }
        function alphabet_check(name) {
            // var movieName = name;
            for(let i = 0; i < alphabet_mongol.length; i++) {
                if(name[0] == alphabet_mongol[i]) {
                    return 0;
                }
            }
            return 1;
        }

        function shuffle(a) {
            var j, x, i;
            for (i = a.length - 1; i > 0; i--) {
                j = Math.floor(Math.random() * (i + 1));
                x = a[i];
                a[i] = a[j];
                a[j] = x;
            }
            return a;
        }

        function place() {
            if( isFull() ){
                alert('full!');
            } else {
                let letterEl = document.getElementsByClassName('letter');
                for( let i = 0 ; i < letterEl.length ; i++ ){
                    if( letterEl[i].innerText == '' ){
                        letterEl[i].innerText = this.innerText;
                        letterEl[i].setAttribute("data", this.getAttribute("data"));
                        break;
                    }
                }
                this.classList.add("hidden");
                this.setAttribute("disabled", "disabled");
                
                if( isFull() ){
                    if(checkAnswer() == true) {
                        // document.getElementById("input").style.backgroundColor = "lightgreen";
                        document.getElementById("img").style.width = 234.13;
                        document.getElementById("img").style.height = 352;
                        document.getElementById("img").style.marginTop = 33;
                        document.getElementById('hints').hidden = true;
                        let storageRef = storage.ref( '/' );
                        storageRef.child(`Movies/${turul_ST}/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                            document.getElementById("img").style.backgroundImage = `url('${url}')`;
                        }).catch(function(error) {
                            // Handle any errors
                        });
                        document.getElementById('taagaagui').style.display = "none";
                        document.getElementById('text').innerHTML = `${zuv_hariult}`;
                        console.log(score);
                        document.getElementById('onoo_text').innerHTML = `Оноо +${score}`;
                        document.getElementById('taasan').removeAttribute("style");
                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                        // document.getElementById("price").innerHTML = `onoo +100`;
                        let taasan_id, hediig_taasan = 0, niit_hediig_taasan = 0;
                        DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).once('value', snapshot => {
                            niit_hediig_taasan = snapshot.val(); 
                        }).then(() => {
                            DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).once('value', snapshot => {
                                hediig_taasan = snapshot.val();
                            }).then(() => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).set("1");    
                                DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).set(niit_hediig_taasan + 1);
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).set(hediig_taasan + 1);
                                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).set(score);
                            });
                        });
                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/onoo`).once('value', snapshot =>{
                            let score_sum = snapshot.val();
                            score_sum += score;
                            DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/onoo`).set(score_sum);
                            DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                                DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).set(snapshot.val() + score);
                            });
                        })
                    } else {
                        document.getElementById('img').style.width = 203.25;
                        document.getElementById('img').style.height = 306;
                        document.getElementById("input").style.backgroundColor = "red";
                        score-=5;
                    }
                }
            }   
        }
        function replace() {
            // let container = document.getElementById("p1");
            let container = document.getElementsByClassName('bottom-letter');
            let i = parseInt(this.getAttribute("data"));
            container[i].removeAttribute("disabled");
            container[i].setAttribute("class", "bottom-letter");
            this.innerText = "";
            document.getElementById("input").removeAttribute("style");
        }   

        function isFull(){
            let letterEl = document.getElementsByClassName('letter');
            for( let i = 0 ; i < letterEl.length ; i++ ){
                if( letterEl[i].innerText == '' ){
                    return false;
                }
            }
            return true;
        }

        function checkAnswer(){
            let letterEl = document.getElementsByClassName('letter');
            let currAnswer = '';
            for( let i = 0 ; i < letterEl.length ; i++ ){
                currAnswer += letterEl[i].innerText;
            }
            return currAnswer == correctAnswer_val.toUpperCase();
        }

        function X_icon() {
            window.location.href = "mongol_kino_levels.html";
        }
        
        function useg_hint() {
            let hint;
            document.getElementById('reset-modal').style.display = 'block';
            // DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
            //     hint = snapshot.val();
            // }).then(() => {
                if(hints_shirheg < 1) {
                    document.getElementById('action_1').hidden = true;
                    document.getElementById('action_2').style.marginRight = "135px";
                    document.getElementById('no_btn').style.width = "270px";
                    document.getElementById('no_btn').style.borderBottomRightRadius = "10px";
                    document.getElementById('bord_text').innerHTML = 'Уучлаарай !!!';
                    document.getElementById('text_2').innerHTML = ' Таны hint хүрэхгүй байна !!!';
                } else {
                    document.getElementById('bord_text').innerHTML = 'Нэг үсэг ил гаргах';
                    document.getElementById('text_2').innerHTML = 'Та хүссэн нэг үсгээ сонгоод мэдэж авах боломжтой!</br>[1 hint]<br>';
                }
            // });
        }

        var hint_ashiglah_usegnuud = document.getElementsByClassName('letter-hint');
        function hint_1() {
            let hint_useg = correctAnswer_val[Number(this.getAttribute("hint-id"))];
            this.innerText =hint_useg.toUpperCase();
            this.classList.remove('letter-hint');
            
            for(;  document.getElementsByClassName('letter-hint').length > 0; ) {
                document.getElementsByClassName('letter-hint')[0].onclick = replace;
                document.getElementsByClassName('letter-hint')[0].classList.remove('letter-hint');
            }
            for(let j = 0; j < document.getElementsByClassName('bottom-letter').length; j++) {
                document.getElementsByClassName('bottom-letter')[j].removeAttribute('disabled');
            }
            if( isFull() ) {
                document.getElementById("img").style.width = 234.13;
                document.getElementById("img").style.height = 352;
                document.getElementById("img").style.marginTop = 33;
                document.getElementById('useg-hint').hidden = true;
                document.getElementById('ALL_useg-hint').hidden = true;
                let storageRef = storage.ref( '/' );
                storageRef.child(`Movies/${turul_ST}/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                    document.getElementById("img").style.backgroundImage = `url('${url}')`;
                }).catch(function(error) {
                    // Handle any errors
                });
                document.getElementById('taagaagui').style.display = "none";
                document.getElementById('text').innerHTML = `${zuv_hariult}`;
                document.getElementById('onoo_text').innerHTML = `Оноо +${score}`;
                document.getElementById('taasan').removeAttribute("style");
                // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                // document.getElementById("price").innerHTML = `onoo +100`;
                let taasan_id, niit_hediig_taasan = 0,hediig_taasan = 0;
                DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).once('value', snapshot => {
                    niit_hediig_taasan = snapshot.val(); 
                }).then(() => {
                    DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).once('value', snapshot => {
                        hediig_taasan = snapshot.val();
                    }).then(() => {
                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).set("1");    
                        DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).set(niit_hediig_taasan + 1);
                        DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).set(hediig_taasan + 1);
                        DB.ref(`/Users/${localStorage.getItem('username')}/quiz_${id_val}_onoo`).set(score);
                    });
                });
                DB.ref(`/Users/${localStorage.getItem('username')}/onoo`).once('value', snapshot =>{
                    let score_sum = snapshot.val();
                    score_sum += score;
                    DB.ref(`/Users/${localStorage.getItem('username')}/onoo`).set(score_sum);
                    DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                        DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).set(snapshot.val() + score);
                    });
                })
            }

        }

        function no() {
            document.getElementById('reset-modal').style.display = 'none';
            document.getElementById('action_1').hidden = false;
            document.getElementById('no_btn').removeAttribute('style');
            document.getElementById('action_2').removeAttribute('style');
            document.getElementById('yes_btn').onclick = yes;

        }
        function yes() {
            document.getElementById('reset-modal').style.display = 'none';
            var letter_hints = document.getElementsByClassName('letter');
            for(let i = 0; i < letter_hints.length; i++) {
                if(letter_hints[i].innerHTML == "") {
                    letter_hints[i].onclick = hint_1;
                    letter_hints[i].classList.add('letter-hint');
                    letter_hints[i].setAttribute('hint-id', i);
                    for(let j = 0; j < document.getElementsByClassName('bottom-letter').length; j++) {
                        document.getElementsByClassName('bottom-letter')[j].setAttribute('disabled', 'disabled');
                    }
                }
            }
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).set(hints_shirheg - 1);
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
                hints_shirheg = snapshot.val();
            });
        }

        function ALL_useg() {
            document.getElementById('yes_btn').onclick = ALL_yes;
            document.getElementById('reset-modal').style.display = 'block';
            // DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
            //     hint = snapshot.val();
            // }).then(() => {
                if(hints_shirheg < 7) {
                    document.getElementById('action_1').hidden = true;
                    document.getElementById('action_2').style.marginRight = "135px";
                    document.getElementById('no_btn').style.width = "270px";
                    document.getElementById('no_btn').style.borderBottomRightRadius = "10px";
                    document.getElementById('bord_text').innerHTML = 'Уучлаарай!';
                    document.getElementById('text_2').innerHTML = 'Таны hint хүрэхгүй байна!';
                } else {
                    document.getElementById('bord_text').innerHTML = 'Хариултыг мэдэх';
                    document.getElementById('text_2').innerHTML = ' Киног шууд таахгүйгээр, хариуг нь мэдэх.</br>[7 hint]<br>';
                }
            // });
        }
        function ALL_yes(){
            document.getElementById("reset-modal").style.display = "none";
            // document.getElementById('reset-modal').style.display = 'none';
            document.getElementById("img").style.width = 234.13;
            document.getElementById("img").style.height = 352;
            document.getElementById("img").style.marginTop = 33;
            document.getElementById('hints').hidden = true;
            let storageRef = storage.ref( '/' );
            storageRef.child(`Movies/${turul_ST}/${id_val}n.jpg`).getDownloadURL().then(function(url) {
                document.getElementById("img").style.backgroundImage = `url('${url}')`;
            }).catch(function(error) {
                // Handle any errors
            });
            document.getElementById('taagaagui').style.display = "none";
            document.getElementById('text').innerHTML = `${zuv_hariult}`;
            console.log(score);
            document.getElementById('onoo_text').innerHTML = `Оноо +${score}`;
            document.getElementById('taasan').removeAttribute("style");
            // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
            // document.getElementById("price").innerHTML = `onoo +100`;
            let taasan_id, hediig_taasan = 0, niit_hediig_taasan = 0;
            DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).once('value', snapshot => {
                niit_hediig_taasan = snapshot.val(); 
            }).then(() => {
                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).once('value', snapshot => {
                    hediig_taasan = snapshot.val();
                }).then(() => {
                    DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}`).set("1");    
                    DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).set(niit_hediig_taasan + 1);
                    DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/hediig_taasan`).set(hediig_taasan + 1);
                    DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/quiz_${id_val}_onoo`).set(score);
                });
            });
            DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/onoo`).once('value', snapshot =>{
                let score_sum = snapshot.val();
                score_sum += score;
                DB.ref(`/Users/${localStorage.getItem('username')}/${ali_catalogy_songoson}/${ali_turul_songoson}/onoo`).set(score_sum);
                DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                    DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).set(snapshot.val() + score);
                });
            })
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).set(hints_shirheg - 7);
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
                hints_shirheg = snapshot.val();
            });
            document.getElementById('yes_btn').onclick = yes;
        }
            function hint_awah() {
                window.location.href = "hint_avah.html";
            }
        </script>
    </body>
</html>